Obtaining a list of performance information about volumes

Virtual Storage Platform One SDS Block and SDS Cloud Virtual Private Storage Administration

Version
1.19.x
Audience
anonymous
Part Number
MK-24VSP1SDS028-03
ft:lastEdition
2026-04-20

The following information can be obtained.

  • id: Volume IDs (uuid)

  • vpsId: ID of a VPS to which a volume belongs

  • readIOPS: The number of read I/Os per second due to hosts and volume migration [IOPS]

  • writeIOPS: The number of write I/Os per second due to hosts and volume migration [IOPS]

  • readTransferRate: The amount of read data transfer per second due to hosts and volume migration [MiB/sec]

  • writeTransferRate: The amount of write data transfer per second due to hosts and volume migration [MiB/sec]

  • readResponseTime: Average read response time due to hosts and volume migration [msec]

  • writeResponseTime: Average write response time due to hosts and volume migration [msec]

  • readHitRate: Cache hit rate for read requests due to hosts and volume migration [%]

  • writeHitRate: Cache hit rate for write requests due to hosts and volume migration [%]

  • urWriteIOPS: The number of write I/Os per second from hosts to Universal Replicator P-VOLs [IOPS]

  • urWriteTransferRate: The amount of write data transfer per second from hosts to Universal Replicator P-VOLs [IOPS]

  • urInitialCopyHitRate: Cache hit rate for P-VOL read requests due to Universal Replicator initial copy [%]

  • urInitialCopyTransferRate: The amount of P-VOL data transfer per second due to Universal Replicator initial copy [MiB/sec]

  • Required role: VpsStorage or VpsMonitor

  1. Verify the IDs of the volumes for which you want to obtain performance information.

    If you use the CLI to specify a volume by name, check the name of the volume.

    REST API: GET /v1/objects/volumes

    CLI: volume_list

  2. Obtain a list of performance information.

    To obtain high-resolution performance information, run the command with the volume IDs specified in the query parameter. You can specify a maximum of 32 volume IDs.

    If you use the CLI, you can specify a name instead of the ID of the volume.

    REST API (low-resolution): GET /v1/objects/performances/volumes

    REST API (high-resolution): GET /v1/objects/detail-performances/volumes

    CLI (low-resolution): volume_performance_list

    CLI (high-resolution): volume_detail_performance_list